%define current_version 7.0.7

%define _exe_destdir /usr/sbin
%define _util_destdir /usr/libexec/vzreport

Summary:	Submit Support Request wizard
ExclusiveArch:	x86_64
Name:		vzreport
Version:	%{current_version}
Release:        3%{?dist}
License:	GPLv2
Group:		System Environment
Source:		%{name}-%{version}.tar.bz2
ExclusiveOS: Linux
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: boost-devel libvzctl-devel vztt-devel libxml2-devel

%description
Wizard for reporting problems with customer's Virtuozzo installation 

%prep
%setup -q
make

%install
rm -rf $RPM_BUILD_ROOT

make	DESTDIR=$RPM_BUILD_ROOT \
	install

cat >vzreport  <<EOF
#!/bin/bash
echo 'The vzreport utility is no longer supported in Virtuozzo' >&2
echo 'Use "prlsrvctl problem-report -s" to report a problem.' >&2
exit 200
EOF

install -m 755 vzreport ${RPM_BUILD_ROOT}%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(750, root, root, 755)
%dir %{_util_destdir}
%{_util_destdir}/vzreport_collector
%{_util_destdir}/list_services
%{_exe_destdir}/vzreportxml
%{_bindir}/rebootinfo
%{_sbindir}/vzreport

%changelog
* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.7-3
- Technical rebuild, see #PSBM-47948

* Tue Jun 09 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.7
 - Fixed installation paths

* Tue Jun 09 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.6
 - Fixed compilation and switch to libvzctl2 API
 - Fixed build requirements in spec (Alexander Burluka <aburluka@odin.com>)

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.5
 - Fixed build requirements in spec

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.4
 - Fix some errors in spec and sources

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.3
 - Cleared sources file

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.2
 - Fixed Makefile.version

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.1
 - Initial changelog
